새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

Webhook 발송 로그 조회

GET
/v1/accounts/{accountId}/webhooks/{webhookId}/logs

특정 webhook의 발송 로그를 페이지네이션으로 조회합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

webhookId*string

Webhook ID

Query Parameters

page?integer

페이지 번호 (0부터 시작)

Default0
pageSize?integer

페이지당 항목 수 (최대 100)

Default20
Rangevalue <= 100
page_size?integerDeprecated

pageSize 의 별칭(하위호환). 신규 연동은 pageSize 를 사용하세요.

Rangevalue <= 100
limit?integerDeprecated

pageSize 의 별칭(하위호환). 신규 연동은 pageSize 를 사용하세요.

Rangevalue <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/webhooks/WH1a2b3c4d/logs?page=0&pageSize=20&page_size=50&limit=100"
{
  "data": [
    {
      "id": "string",
      "webhookId": "string",
      "event": "string",
      "requestUrl": "string",
      "requestPayload": {},
      "responseStatus": 0,
      "responseBody": "string",
      "responseTimeMs": 0,
      "status": "pending",
      "attempt": 0,
      "maxAttempts": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "page": 0,
    "pageSize": 0,
    "total": 0
  }
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}